summaryrefslogtreecommitdiffstats
path: root/src/kash/tests/redirect-2
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
commit29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc (patch)
tree63ef546b10a81d461e5cf5ed9e98a68cd7dee1aa /src/kash/tests/redirect-2
parentInitial commit. (diff)
downloadkbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.tar.xz
kbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.zip
Adding upstream version 1:0.1.9998svn3589+dfsg.upstream/1%0.1.9998svn3589+dfsg
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/kash/tests/redirect-2')
-rwxr-xr-xsrc/kash/tests/redirect-219
1 files changed, 19 insertions, 0 deletions
diff --git a/src/kash/tests/redirect-2 b/src/kash/tests/redirect-2
new file mode 100755
index 0000000..09bd905
--- /dev/null
+++ b/src/kash/tests/redirect-2
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# Redirect output from builtin commands in a subshell.
+
+. ${KASH_TEST_DIR}/common-include.sh
+
+TMPFILE="/tmp/redirect-2.$$.tmp"
+
+(echo -n 1 ; echo -n 2 ; echo -n 3 ) > $TMPFILE
+VAR=`$CMD_CAT $TMPFILE`
+$CMD_RM -f $TMPFILE
+if test "$VAR" != "123"; then
+ echo "redirect-2: FAILURE - VAR=$VAR"
+ exit 1
+fi
+echo "redirect-2: SUCCESS"
+exit 0
+
+